Bug 220604 - Intermittent signal 11 crashes at boot
Intermittent signal 11 crashes at boot
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2006-12-22 09:27 EST by Tom London
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-02 13:09:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/messages of NM crash (8.71 KB, text/plain)
2006-12-22 09:28 EST, Tom London
no flags Details
another /var/log/messages log of signal 11 crash (8.36 KB, text/plain)
2006-12-22 09:29 EST, Tom London
no flags Details

  None (edit)
Description Tom London 2006-12-22 09:27:09 EST
Description of problem:
I seem to be getting intermittent signal 11 crashes at startup

Dec 22 06:14:40 localhost NetworkManager: <info>  Activation (eth1) Stage 5 of 5
(IP Configure Commit) complete.
Dec 22 06:14:53 localhost NetworkManager: <WARN>  nm_signal_handler(): Caught
signal 11.  Generating backtrace...
Dec 22 06:14:53 localhost NetworkManager: ******************* START
Dec 22 06:14:53 localhost NetworkManager: (no debugging symbols found) 
Dec 22 06:14:53 localhost NetworkManager: Using host libthread_db library

[I attach more complete logs below.]

Restarting the service shows:
[root@localhost ~]# service NetworkManager restart
Stopping NetworkManager daemon:                            [FAILED]
Setting network parameters... 
Starting NetworkManager daemon:                            [  OK  ]
[root@localhost ~]# 

After which, all is OK.

I have one wired and one ipw3945 interface.

Version-Release number of selected component (if applicable), e.g.:

How reproducible:

Steps to Reproduce:
1. Boot
2. No nm-applet icon in tray
Actual results:

Expected results:

Additional info:
Comment 1 Tom London 2006-12-22 09:28:13 EST
Created attachment 144280 [details]
/var/log/messages of NM crash
Comment 2 Tom London 2006-12-22 09:29:00 EST
Created attachment 144281 [details]
another /var/log/messages log of signal 11 crash
Comment 3 Wade Mealing 2007-02-26 06:54:53 EST

I had the same problem a while back and it disappeared at some stage in fc6dom,
and had not happened to me since.  I believe it was a dbus update that fixed it
for me.

Does this still happen ?
Comment 4 Tom London 2007-02-26 09:25:16 EST
No, I haven't seen this in some while.  My /var/log/messages.* go back to 28
January with no occurrences.
Comment 5 Matěj Cepl 2007-03-02 13:09:35 EST
Closing per comment 4 as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.